import 'package:hmg_patient_app/theme/colors.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/uitl/utils_new.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_svg/flutter_svg.dart';

class PharmacyView extends StatelessWidget {
  Function onPharmacyClick;
  PharmacyView({required this.onPharmacyClick});
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: (){
        onPharmacyClick();
      },
      child: Container(
        width: double.infinity,
        decoration:
            containerBottomRightRadiusWithGradientBorder(16, darkColor: CustomColors.darkGreyColor.withOpacity(0.5), lightColor: CustomColors.lightGreyColor, borderColor: Color(0xFFcccccc), w: 1),
        padding: EdgeInsets.only(left: 12, right: 12, top: 12, bottom: 12),
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            SvgPicture.asset("assets/images/new/Pharmacy.svg"),
            mWidth(12),
            Expanded(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Text(
                    TranslationBase.of(context).HMGPharmacy,
                    style: TextStyle(
                      fontWeight: FontWeight.bold,
                      fontSize: 16,
                    ),
                  ),
                  Text(
                    TranslationBase.of(context).ecommerceSolution,
                    style: TextStyle(
                      fontWeight: FontWeight.bold,
                      fontSize: 14,
                    ),
                  ),
                ],
              ),
            ),
            mWidth(12),
            Opacity(
              opacity: 0.2,
              child: SvgPicture.asset("assets/images/new/Pharmacy.svg"),
            ),
          ],
        ),
      ),
    );
  }
  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(DiagnosticsProperty<Function>('onPharmacyClick', onPharmacyClick));
  }
}
